[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# greaterthanorequal(variant,variant):Boolean

Implement >= (greater than or equal) operation on variants.

## Declaration

Source position: varianth.inc line 370

`operator operator >=(`
`const op1: variant;`
`const op2: variant`
`):Boolean;`

## Description

The implementation of the "greater than or equal" comparison (>=) operation is delegated to the variant manager with operation opcmpge.

## Errors

Execution of this operator may result in an exception if no variant manager is installed or if the types of the operand are not suitable for the operation.

## See also

operator <(variant, variant): boolean |  | Implement < (less than) operation on variants.